All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::result_of::cl_type< T > Struct Template Reference

Metafunction for deducing the OpenCL type for a numeric type, e.g. float -> cl_float. More...

`#include <result_of.hpp>`

## Public Types

typedef T | type

## Detailed Description

### template<typename T>
struct viennacl::result_of::cl_type< T >

Metafunction for deducing the OpenCL type for a numeric type, e.g. float -> cl_float.

Definition at line 588 of file result_of.hpp.

## Member Typedef Documentation

template<typename T>

typedef T viennacl::result_of::cl_type< T >::type

Definition at line 590 of file result_of.hpp.

The documentation for this struct was generated from the following file:

- viennacl/meta/result_of.hpp